# Created by pyp2rpm-3.3.5
%global pypi_name azure-core

Name:           python-%{pypi_name}
Version:        1.30.1
Release:        %mkrel 1
Summary:        Microsoft Azure Core Library for Python
Group:          Development/Python
License:        MIT License
URL:            https://github.com/Azure/azure-sdk-for-python/tree/master/sdk/core/azure-core
Source0:        %{pypi_source}
BuildArch:      noarch
BuildRequires:  python3-devel

%description
Azure core library defines basic exceptions and shared
modules those are needed when you use client libraries. 

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-%{pypi_name}
Azure core library defines basic exceptions and shared
modules those are needed when you use client libraries.


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%generate_buildrequires
%pyproject_buildrequires -t

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files azure

%check
%tox

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc samples/README.md



%changelog
* Thu May 16 2024 papoteur <papoteur> 1.30.1-1.mga10
+ Revision: 2064446
- new version 1.30.1

* Fri Feb 23 2024 papoteur <papoteur> 1.30.0-1.mga10
+ Revision: 2043590
- new version 1.30.0

* Sat Sep 30 2023 papoteur <papoteur> 1.29.4-1.mga10
+ Revision: 1992530
- new 1.29.4

* Mon Sep 05 2022 neoclust <neoclust> 1.25.1-1.mga9
+ Revision: 1884035
- New version 1.25.1

* Wed Jul 13 2022 papoteur <papoteur> 1.24.2-1.mga9
+ Revision: 1868743
- imported package python-azure-core

